Bug 197821 - Review Request: perl-IO-Socket-INET6
Review Request: perl-IO-Socket-INET6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On: 197874
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-06 13:27 EDT by Warren Togami
Modified: 2013-01-09 20:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 15:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2006-07-06 13:27:06 EDT
Spec URL: http://togami.com/~warren/fedora/perl-IO-Socket-INET6.spec
SRPM URL: http://togami.com/~warren/fedora/perl-IO-Socket-INET6-2.51-1.src.rpm
Description: Perl Object interface for AF_INET|AF_INET6 domain sockets

Spamassassin requires this in order to support IPv6.
Comment 1 Ralf Corsepius 2006-07-06 14:58:26 EDT
Some comments:

* Source0 should be a URL

* rpmbuild -ba perl-IO-Socket-INET6.spec
...
Warning: prerequisite Socket6 0.12 not found

Probably a missing BR: perl(Socket6)


* Package is noarch 
=> passing OPTIMIZE to Makefile.PL is superfluous
=>  "find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'"
probably also is not necessary.
Comment 3 Jesse Keating 2006-07-10 13:33:56 EDT
Package looks good.

rpmlint is silent on the srpm.  Above fixes have been integrated.  Package
builds in mock (once Socket6 is put in the buildroot)

Approving.

Note You need to log in before you can comment on or make changes to this bug.